% Collage Bild v 1.0 - Basic SCRIPT
%                      Assigns parameter values and runs the function  
% created by Andre Marcal, FCUP, 24 Apr. 2023 (andre.marcal@fc.up.pt)

% Base Image, any RGB image in standard format (e.g. jpg, png, tif)
BaseIM='Girasol.png';

% Number of Blocks (min. No along rows or columns)
N=10; 

% Reference Image Set: 1- Lego; 2- MMs; 3- Tiles; 4- Gouache, 5- Custom
RIS=1;  

% Color Model and Distance:      1- RGB Euclidean      2- RGB City Block
%    3- HSV Adjusted City Block  4- L*a*b* City Block  5- L*a*b* Hybrid
CMD=5;                        %  6- L*a*b* Euclidean   7- CIEDE2000

% Number of Neighbors used for comparison. Possible values: 1,4,8 
NN=1; 

% Number of Sampling points for each blocks ( S x S points )
S=2; % S=0 to automatically select the largest possible value 

% Display results in figures: 0- No; 1- Yes (simple); 2- Yes (detailed)
ShowF=1;  

% OUTPUTS:   IM ------ Collage Image
%            D ------- Vector with average color distance 
[IM,D]=CollageBild_v10(BaseIM, N, RIS, CMD, NN, S, ShowF);

% [IM,D]=CollageBild_v10('Girasol.png', 10, 1, 5, 1, 2, 1);

% Export Collage Image to standard image file 
% imwrite (IM, 'CollageBild_IM1.jpg','Quality',100)
% imwrite (IM, 'CollageBild_IM1.png')